AUTOCOMMIT OFF;

-- MODULE   XTS731

-- SQL Test Suite, V6.0, Interactive SQL, xts731.sql
-- 59-byte ID
-- TEd Version #

-- AUTHORIZATION CTS1
   set schema CTS1;

--O   SELECT USER FROM HU.ECCO;
  VALUES USER;
-- RERUN if USER value does not match preceding AUTHORIZATION comment
   ROLLBACK WORK;

-- date_time print

-- TEST:7031 View name with 69 and 128 characters - deliminited!
-- NOTE:  If long lines are not supported by the ISQL interface, an
--        implementation defined line continuation format may be used

-- Begin 128 character view names
   CREATE VIEW "LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAA" AS SELECT * FROM STAFF;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   CREATE VIEW "longidentifiersaaaaabbbbbbbbbbccccccccccddddddddddeeeeeeeeeeffffffffffgggggggggghhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaab" AS SELECT * FROM WORKS;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   CREATE VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_1" AS SELECT * FROM VTABLE;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   CREATE VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_2" AS SELECT * FROM STAFF_CTS;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   CREATE VIEW "longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,()" AS SELECT CITY FROM STAFF;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

--O   SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS
--O               WHERE TABLE_SCHEMA = 'CTS1'
--O               AND (TABLE_NAME = 'LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAA'
--O                 OR TABLE_NAME = 'longidentifiersaaaaabbbbbbbbbbccccccccccddddddddddeeeeeeeeeeffffffffffgggggggggghhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaab'
--O                 OR TABLE_NAME = '0"LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_1'
--O                 OR TABLE_NAME = '0"LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_2'
--O                 OR TABLE_NAME = 'longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,()' )
--O                 ORDER BY TABLE_NAME;
-- PASS:7031 If 5 rows are selected in the following order?
--                
-- PASS:7031 If TABLE_NAME = '0"LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBB
--                CCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFF
--                GGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_1'?
-- PASS:7031 If TABLE_NAME = '0"LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBB
--                CCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFF
--                GGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_2'?
-- PASS:7031 If TABLE_NAME = 'LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCC
--                DDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGG
--                HHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAA'?
-- PASS:7031 If TABLE_NAME = 'longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBB
--                CCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFF
--                GGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,()'?
-- PASS:7031 If TABLE_NAME = 'longidentifiersaaaaabbbbbbbbbbcccccccccc
--                ddddddddddeeeeeeeeeeffffffffffgggggggggg
--                hhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaab'?


--O   SELECT  COUNT(*) FROM INFORMATION_SCHEMA.VIEWS
--O         WHERE TABLE_SCHEMA = 'CTS1'
--O         AND TABLE_NAME = 'LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAa';
-- PASS:7031 If COUNT = 0?

--O   SELECT  COUNT(*) FROM INFORMATION_SCHEMA.VIEWS
--O         WHERE TABLE_SCHEMA = 'CTS1'
--O         AND TABLE_NAME = 'longidentifiersaaaaabbbbbbbbbbccccccccccddddddddddeeeeeeeeeeffffffffffgggggggggghhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaaX';
-- PASS:7031 If COUNT = 0?

--O   SELECT  COUNT(*) FROM INFORMATION_SCHEMA.VIEWS
--O           WHERE TABLE_SCHEMA = 'CTS1'
--O           AND TABLE_NAME = '0"LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_3';
-- PASS:7031 If COUNT = 0?

--O   SELECT  COUNT(*) FROM INFORMATION_SCHEMA.VIEWS
--O           WHERE TABLE_SCHEMA = 'CTS1'
--O           AND TABLE_NAME = 'longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,((';
-- PASS:7031 If COUNT = 0?

   ROLLBACK WORK;

--O   DROP VIEW "LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAA" CASCADE;
   DROP VIEW "LONGIDENTIFIERSAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJKKKKKKKKKKAAAAAAAA" ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;

--O   DROP VIEW "longidentifiersaaaaabbbbbbbbbbccccccccccddddddddddeeeeeeeeeeffffffffffgggggggggghhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaab" CASCADE;
   DROP VIEW "longidentifiersaaaaabbbbbbbbbbccccccccccddddddddddeeeeeeeeeeffffffffffgggggggggghhhhhhhhhhiiiiiiiiiijjjjjjjjjjkkkkkkkkkkaaaaaaab" ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;

--O   DROP VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_1" CASCADE;
   DROP VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_1" ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;

--O   DROP VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_2" CASCADE;
   DROP VIEW "0""LONGIDENTIFIERSWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWWWWWW_2" ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;

--O   DROP VIEW "longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,()" CASCADE;
   DROP VIEW "longIDENTIFIERSWWWWWAAAAAAAAAABBBBBBBBBBCCCCCCCCCCDDDDDDDDDDEEEEEEEEEEFFFFFFFFFFGGGGGGGGGGHHHHHHHHHHIIIIIIIIIIJJJJJJJJJJWW% .,()" ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;
-- End 128 character view names

-- Begin 69 character view names
   CREATE VIEW 
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69W"
   (MYCOUNT) AS SELECT COUNT (*) FROM WORKS;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   SELECT * FROM
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69W"
   ;
-- PASS:7031 If MYCOUNT = 12?

   COMMIT WORK;

   CREATE VIEW 
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69S"
   (MYCOUNT) AS SELECT COUNT (*) FROM STAFF;
-- PASS:7031 If view created successfully?

   COMMIT WORK;

   SELECT * FROM
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69S"
   ;
-- PASS:7031 If MYCOUNT = 5? 

   COMMIT WORK;

   DROP VIEW
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69W"
   ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;

   DROP VIEW
"ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ""69S"
   ;
-- PASS:7031 If view dropped successfully?

   COMMIT WORK;
-- End 69 character view names

-- END TEST >>> 7031 <<< END TEST
-- *********************************************
-- *************************************************////END-OF-MODULE
