/*

   Derby - Class org.apache.derby.iapi.tools.i18n.LocalizedInput

   Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed with
   this work for additional information regarding copyright ownership.
   The ASF licenses this file to You under the Apache License, Version 2.0
   (the "License"); you may not use this file except in compliance with
   the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 */
package org.apache.derby.iapi.tools.i18n;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.io.IOException;

public class LocalizedInput extends BufferedReader{
	private InputStream in;
	public LocalizedInput(InputStream i){
		super(new InputStreamReader(i));
		this.in = i;
	}

	LocalizedInput(InputStream i, String encode) throws UnsupportedEncodingException{
		super(new InputStreamReader(i,encode));
		this.in = i;
	}
	public boolean isStandardInput(){
		return (in == System.in);
	}
	public void close() throws IOException {
		if (!isStandardInput()) {
			super.close();
		}
	}

}
